/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
export class LinearGaugeDescription extends Description {
    constructor() {
        super();
        this.cp = null;
        this.x = 0;
        this.cr = null;
        this.cq = null;
        this.c3 = null;
        this.ct = null;
        this.ck = null;
        this.a6 = 0;
        this.cz = null;
        this.h = null;
        this.f = null;
        this.g = null;
        this.ae = 0;
        this.s = 0;
        this.ad = 0;
        this.r = 0;
        this.a7 = 0;
        this.cy = null;
        this.cw = null;
        this.au = 0;
        this.ax = 0;
        this.av = 0;
        this.ay = 0;
        this.al = 0;
        this.ap = 0;
        this.ak = 0;
        this.ao = 0;
        this.an = 0;
        this.ar = 0;
        this.am = 0;
        this.aq = 0;
        this.y = 0;
        this.a2 = 0;
        this.a3 = 0;
        this.aa = 0;
        this.z = 0;
        this.ab = 0;
        this.ac = 0;
        this.af = 0;
        this.a4 = 0;
        this.a1 = 0;
        this.a5 = 0;
        this.c2 = null;
        this.co = null;
        this.aj = 0;
        this.cv = null;
        this.cx = null;
        this.as = 0;
        this.ah = 0;
        this.ag = 0;
        this.ai = 0;
        this.cu = null;
        this.m = false;
        this.cl = null;
        this.cm = null;
        this.w = 0;
        this.u = 0;
        this.v = 0;
        this.az = 0;
        this.aw = 0;
        this.c0 = null;
        this.c1 = null;
        this.a0 = 0;
        this.l = false;
        this.cg = 0;
        this.cf = 0;
        this.n = false;
        this.cn = null;
        this.at = 0;
        this.t = 0;
        this.cs = null;
        this.cj = null;
    }
    get fontFamily() {
        return this.cp;
    }
    set fontFamily(a) {
        this.cp = a;
        this.e("FontFamily");
    }
    get fontSize() {
        return this.x;
    }
    set fontSize(a) {
        this.x = a;
        this.e("FontSize");
    }
    get fontWeight() {
        return this.cr;
    }
    set fontWeight(a) {
        this.cr = a;
        this.e("FontWeight");
    }
    get fontStyle() {
        return this.cq;
    }
    set fontStyle(a) {
        this.cq = a;
        this.e("FontStyle");
    }
    get width() {
        return this.c3;
    }
    set width(a) {
        this.c3 = a;
        this.e("Width");
    }
    get height() {
        return this.ct;
    }
    set height(a) {
        this.ct = a;
        this.e("Height");
    }
    get background() {
        return this.ck;
    }
    set background(a) {
        this.ck = a;
        this.e("Background");
    }
    get_type() {
        return "LinearGauge";
    }
    get type() {
        return this.get_type();
    }
    get transitionProgress() {
        return this.a6;
    }
    set transitionProgress(a) {
        this.a6 = a;
        this.e("TransitionProgress");
    }
    get orientation() {
        return this.cz;
    }
    set orientation(a) {
        this.cz = a;
        this.e("Orientation");
    }
    get ranges() {
        return this.h;
    }
    set ranges(a) {
        this.h = a;
        this.e("Ranges");
    }
    get rangeBrushes() {
        return this.f;
    }
    set rangeBrushes(a) {
        this.f = a;
        this.e("RangeBrushes");
    }
    get rangeOutlines() {
        return this.g;
    }
    set rangeOutlines(a) {
        this.g = a;
        this.e("RangeOutlines");
    }
    get minimumValue() {
        return this.ae;
    }
    set minimumValue(a) {
        this.ae = a;
        this.e("MinimumValue");
    }
    get actualMinimumValue() {
        return this.s;
    }
    set actualMinimumValue(a) {
        this.s = a;
        this.e("ActualMinimumValue");
    }
    get maximumValue() {
        return this.ad;
    }
    set maximumValue(a) {
        this.ad = a;
        this.e("MaximumValue");
    }
    get actualMaximumValue() {
        return this.r;
    }
    set actualMaximumValue(a) {
        this.r = a;
        this.e("ActualMaximumValue");
    }
    get value() {
        return this.a7;
    }
    set value(a) {
        this.a7 = a;
        this.e("Value");
    }
    get needleShape() {
        return this.cy;
    }
    set needleShape(a) {
        this.cy = a;
        this.e("NeedleShape");
    }
    get needleName() {
        return this.cw;
    }
    set needleName(a) {
        this.cw = a;
        this.e("NeedleName");
    }
    get rangeInnerExtent() {
        return this.au;
    }
    set rangeInnerExtent(a) {
        this.au = a;
        this.e("RangeInnerExtent");
    }
    get scaleInnerExtent() {
        return this.ax;
    }
    set scaleInnerExtent(a) {
        this.ax = a;
        this.e("ScaleInnerExtent");
    }
    get rangeOuterExtent() {
        return this.av;
    }
    set rangeOuterExtent(a) {
        this.av = a;
        this.e("RangeOuterExtent");
    }
    get scaleOuterExtent() {
        return this.ay;
    }
    set scaleOuterExtent(a) {
        this.ay = a;
        this.e("ScaleOuterExtent");
    }
    get needleInnerExtent() {
        return this.al;
    }
    set needleInnerExtent(a) {
        this.al = a;
        this.e("NeedleInnerExtent");
    }
    get needleOuterExtent() {
        return this.ap;
    }
    set needleOuterExtent(a) {
        this.ap = a;
        this.e("NeedleOuterExtent");
    }
    get needleInnerBaseWidth() {
        return this.ak;
    }
    set needleInnerBaseWidth(a) {
        this.ak = a;
        this.e("NeedleInnerBaseWidth");
    }
    get needleOuterBaseWidth() {
        return this.ao;
    }
    set needleOuterBaseWidth(a) {
        this.ao = a;
        this.e("NeedleOuterBaseWidth");
    }
    get needleInnerPointWidth() {
        return this.an;
    }
    set needleInnerPointWidth(a) {
        this.an = a;
        this.e("NeedleInnerPointWidth");
    }
    get needleOuterPointWidth() {
        return this.ar;
    }
    set needleOuterPointWidth(a) {
        this.ar = a;
        this.e("NeedleOuterPointWidth");
    }
    get needleInnerPointExtent() {
        return this.am;
    }
    set needleInnerPointExtent(a) {
        this.am = a;
        this.e("NeedleInnerPointExtent");
    }
    get needleOuterPointExtent() {
        return this.aq;
    }
    set needleOuterPointExtent(a) {
        this.aq = a;
        this.e("NeedleOuterPointExtent");
    }
    get interval() {
        return this.y;
    }
    set interval(a) {
        this.y = a;
        this.e("Interval");
    }
    get ticksPostInitial() {
        return this.a2;
    }
    set ticksPostInitial(a) {
        this.a2 = a;
        this.e("TicksPostInitial");
    }
    get ticksPreTerminal() {
        return this.a3;
    }
    set ticksPreTerminal(a) {
        this.a3 = a;
        this.e("TicksPreTerminal");
    }
    get labelInterval() {
        return this.aa;
    }
    set labelInterval(a) {
        this.aa = a;
        this.e("LabelInterval");
    }
    get labelExtent() {
        return this.z;
    }
    set labelExtent(a) {
        this.z = a;
        this.e("LabelExtent");
    }
    get labelsPostInitial() {
        return this.ab;
    }
    set labelsPostInitial(a) {
        this.ab = a;
        this.e("LabelsPostInitial");
    }
    get labelsPreTerminal() {
        return this.ac;
    }
    set labelsPreTerminal(a) {
        this.ac = a;
        this.e("LabelsPreTerminal");
    }
    get minorTickCount() {
        return this.af;
    }
    set minorTickCount(a) {
        this.af = a;
        this.e("MinorTickCount");
    }
    get tickStartExtent() {
        return this.a4;
    }
    set tickStartExtent(a) {
        this.a4 = a;
        this.e("TickStartExtent");
    }
    get tickEndExtent() {
        return this.a1;
    }
    set tickEndExtent(a) {
        this.a1 = a;
        this.e("TickEndExtent");
    }
    get tickStrokeThickness() {
        return this.a5;
    }
    set tickStrokeThickness(a) {
        this.a5 = a;
        this.e("TickStrokeThickness");
    }
    get tickBrush() {
        return this.c2;
    }
    set tickBrush(a) {
        this.c2 = a;
        this.e("TickBrush");
    }
    get fontBrush() {
        return this.co;
    }
    set fontBrush(a) {
        this.co = a;
        this.e("FontBrush");
    }
    get needleBreadth() {
        return this.aj;
    }
    set needleBreadth(a) {
        this.aj = a;
        this.e("NeedleBreadth");
    }
    get needleBrush() {
        return this.cv;
    }
    set needleBrush(a) {
        this.cv = a;
        this.e("NeedleBrush");
    }
    get needleOutline() {
        return this.cx;
    }
    set needleOutline(a) {
        this.cx = a;
        this.e("NeedleOutline");
    }
    get needleStrokeThickness() {
        return this.as;
    }
    set needleStrokeThickness(a) {
        this.as = a;
        this.e("NeedleStrokeThickness");
    }
    get minorTickStartExtent() {
        return this.ah;
    }
    set minorTickStartExtent(a) {
        this.ah = a;
        this.e("MinorTickStartExtent");
    }
    get minorTickEndExtent() {
        return this.ag;
    }
    set minorTickEndExtent(a) {
        this.ag = a;
        this.e("MinorTickEndExtent");
    }
    get minorTickStrokeThickness() {
        return this.ai;
    }
    set minorTickStrokeThickness(a) {
        this.ai = a;
        this.e("MinorTickStrokeThickness");
    }
    get minorTickBrush() {
        return this.cu;
    }
    set minorTickBrush(a) {
        this.cu = a;
        this.e("MinorTickBrush");
    }
    get isScaleInverted() {
        return this.m;
    }
    set isScaleInverted(a) {
        this.m = a;
        this.e("IsScaleInverted");
    }
    get backingBrush() {
        return this.cl;
    }
    set backingBrush(a) {
        this.cl = a;
        this.e("BackingBrush");
    }
    get backingOutline() {
        return this.cm;
    }
    set backingOutline(a) {
        this.cm = a;
        this.e("BackingOutline");
    }
    get backingStrokeThickness() {
        return this.w;
    }
    set backingStrokeThickness(a) {
        this.w = a;
        this.e("BackingStrokeThickness");
    }
    get backingInnerExtent() {
        return this.u;
    }
    set backingInnerExtent(a) {
        this.u = a;
        this.e("BackingInnerExtent");
    }
    get backingOuterExtent() {
        return this.v;
    }
    set backingOuterExtent(a) {
        this.v = a;
        this.e("BackingOuterExtent");
    }
    get scaleStartExtent() {
        return this.az;
    }
    set scaleStartExtent(a) {
        this.az = a;
        this.e("ScaleStartExtent");
    }
    get scaleEndExtent() {
        return this.aw;
    }
    set scaleEndExtent(a) {
        this.aw = a;
        this.e("ScaleEndExtent");
    }
    get scaleBrush() {
        return this.c0;
    }
    set scaleBrush(a) {
        this.c0 = a;
        this.e("ScaleBrush");
    }
    get scaleOutline() {
        return this.c1;
    }
    set scaleOutline(a) {
        this.c1 = a;
        this.e("ScaleOutline");
    }
    get scaleStrokeThickness() {
        return this.a0;
    }
    set scaleStrokeThickness(a) {
        this.a0 = a;
        this.e("ScaleStrokeThickness");
    }
    get isNeedleDraggingEnabled() {
        return this.l;
    }
    set isNeedleDraggingEnabled(a) {
        this.l = a;
        this.e("IsNeedleDraggingEnabled");
    }
    get transitionDuration() {
        return this.cg;
    }
    set transitionDuration(a) {
        this.cg = a;
        this.e("TransitionDuration");
    }
    get showToolTipTimeout() {
        return this.cf;
    }
    set showToolTipTimeout(a) {
        this.cf = a;
        this.e("ShowToolTipTimeout");
    }
    get showToolTip() {
        return this.n;
    }
    set showToolTip(a) {
        this.n = a;
        this.e("ShowToolTip");
    }
    get font() {
        return this.cn;
    }
    set font(a) {
        this.cn = a;
        this.e("Font");
    }
    get pixelScalingRatio() {
        return this.at;
    }
    set pixelScalingRatio(a) {
        this.at = a;
        this.e("PixelScalingRatio");
    }
    get actualPixelScalingRatio() {
        return this.t;
    }
    set actualPixelScalingRatio(a) {
        this.t = a;
        this.e("ActualPixelScalingRatio");
    }
    get formatLabelRef() {
        return this.cs;
    }
    set formatLabelRef(a) {
        this.cs = a;
        this.e("FormatLabelRef");
    }
    get alignLabelRef() {
        return this.cj;
    }
    set alignLabelRef(a) {
        this.cj = a;
        this.e("AlignLabelRef");
    }
}
LinearGaugeDescription.$t = markType(LinearGaugeDescription, 'LinearGaugeDescription', Description.$);
